Bug 43462 - Update French translation
Update French translation
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Eduard Mai
Alexander Kläser
: interim-4
Depends on:
Blocks: 44133
  Show dependency treegraph
 
Reported: 2017-02-01 10:35 CET by Alexander Kläser
Modified: 2017-04-04 18:29 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional): Internationalization
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2017-02-01 10:35:54 CET
We need to update (and probably partly re-translate) the French translation package for UCS 4.2-0.
Comment 1 Alexander Kläser univentionstaff 2017-02-01 10:36:58 CET
This is something we should target to the end of MS2.
Comment 2 Alexander Kläser univentionstaff 2017-03-06 16:35:47 CET
BTW, we also need to find a way to translate portal entries.
Comment 3 Eduard Mai univentionstaff 2017-03-23 16:14:40 CET
New message IDs were merged with the help of univention-ucs-translation-merge. Some of them could be matched with translated message strings by cross referencing the whole set of French PO files with a yet to be commited script 'codenamed' univention-l10n-bigcatalog.
As discussed the issues regarding dh-umc-po2json were worked around. To build the package in its current state, ucslint has to be commented in debian/rules.

r78201 | Bug #43462: revert changes in .univention-l10n file
r78192 | Bug #43462: add missing *.univention-l10n files
r78205 | Bug #43462: set Plural-Forms correctly
r78194 | Bug #43462: debian/changelog
r78193 | Bug #43462: update French translation for UCS 4.2
r78191 | Bug #43462: correct 'Maintainer' in debian/control
r78192 | Bug #43462: add missing *.univention-l10n files
Comment 4 Florian Best univentionstaff 2017-03-23 16:21:56 CET
There are a lot of fuzzy entries, how does it come?
Comment 5 Eduard Mai univentionstaff 2017-03-23 16:37:14 CET
(In reply to Florian Best from comment #4)
> There are a lot of fuzzy entries, how does it come?

Our libraries and tools use gettext binaries to implement message catalog operations. When msgmerge is invoked it will use a fuzzy matching algorithm to match message strings to message ID in case an exact match can't be made. Of course this can't guarantee correctness, so the entries are flagged fuzzy to be verified manually.

$ rgrep 'fuzzy' base/univention-l10n-fr | wc -l
254

254 fuzzy matches on a total of total of, I guess, over 5000 entries seems plausible.
Comment 6 Alexander Kläser univentionstaff 2017-03-24 01:15:23 CET
Looks good! I removed/adjusted fuzzy translations and added some more obvious as well as directly visible translations (login, setup wizard, menu etc.). I also added a try-catch clause to the translation function to avoid any frontend error causing a hanging frontend session. 

AFAIS, this bug can be closed now.


univention-l10n-fr (1.2.0-1):
r78248 | Bug #43462: Fix fuzzy targets + add some directly visible translations

univention-web (1.0.40-11):
r78247 | Bug #43462: Catch argument errors for translation to avoid UMC errors
Comment 7 Alexander Kläser univentionstaff 2017-03-24 01:17:06 CET
changelog-4.2-0.xml:
r78249 | Bug #43462: Added changelog entry
Comment 8 Alexander Kläser univentionstaff 2017-03-29 15:11:32 CEST
There are missing translation which we will address after the release (→ Bug #44133). For now there is nothing else to do.
Comment 9 Alexander Kläser univentionstaff 2017-03-29 15:11:45 CEST
→ VERIFIED
Comment 10 Stefan Gohmann univentionstaff 2017-04-04 18:29:22 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".